#ifndef _G_ENEMY_MANAGER_
#define _G_ENEMY_MANAGER_

#include <hpllib/HPLLib.h>
#include "GEnemy.h"
#include "../player/GPlayer.h"

class GEnemyManager: public HPLObjectManager<GEnemy>{
private:
	std::list<GEnemy*> adds;

	/** 接触ダメージ取得 */
	std::vector<float> powerList;

public:
	GEnemyManager();
	virtual ~GEnemyManager();
	void process(bool isMove);
	GEnemy* create(int t, HPLVector center);

	void algorithm(GEnemy* enemy);

	bool checkHitToShot(GEnemy* enemy);

	bool checkHitToPlayer(GEnemy* enemy, GPlayer* player);
};

#endif
